Update language used in MediaWiki:Flow-edit-header-submit and similar for "publish" wikis
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/MediaWiki:Flow-edit-header-submit says "Save description". It might be better to say "Publish description" on publish wikis, similar to what was done at T131132: Re-label the "Save" button to be "Publish", to better indicate to users the outcomes of their action.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 27 2017, 7:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope added a subscriber: Catrope.Jan 9 2018, 6:34 PM

@Jdforrester-WMF do you think we should make this change, and do you think we should change similar buttons as well?

Jdforrester-WMF triaged this task as Normal priority.Jan 9 2018, 7:12 PM
Jdforrester-WMF renamed this task from Update language used in MediaWiki:Flow-edit-header-submit to Update language used in MediaWiki:Flow-edit-header-submit and similar for "publish" wikis.
SBisson updated the task description. (Show Details)Feb 1 2018, 3:41 PM

Change 423344 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Flow@master] Change language for 'save' to 'publish'

https://gerrit.wikimedia.org/r/423344

Mooeypoo claimed this task.Apr 1 2018, 3:51 PM
Mooeypoo added a subscriber: Mooeypoo.

As specified in the conversation, I changed all of the "save" language to "publish" -- I went over the qqq.json for each and didn't see a need to change the descriptions of the strings, so only the language in the strings themselves was changed.

SBisson added a subscriber: SBisson.EditedApr 2 2018, 10:17 AM

Was this supposed to be for all wikis or only for wikis using the word "publish" instead of "save"? Does this distinction still exist?

It does, private wikis use 'save'.

I just noticed the existence of this:
https://gerrit.wikimedia.org/r/#/c/306303/6/wmf-config/InitialiseSettings.php,unified

Does that mean we're going to have double messages everywhere with the conditional wg variable? I couldn't find where this variable and message usage was actually implemented, rather than the implementation and adjustment of the wg variable itself.

Mooeypoo added a comment.EditedApr 2 2018, 12:28 PM

Just to delve deeper on how to approach this; if we are going to have each of these messages (multiple messages with "save" that should say "publish") then the fix is getting a little more elaborate.

We have those messages both in JS (where we could use mw.config.get( 'wgEditSubmitButtonLabelPublish' )) but we also have those messages in the handlebars templates, where the check is a bit more annoying to implement.
It's possible, of course, and not completely terrible to do, but it is a lot more involved than "simply" changing the text of the sentences.

Before I delve into sending that variable to the handlebars templates and then setting quite a number of conditional statements in handlebars and the js code, I'd like to see if that's actually what we want to do in this ticket?

The request in the ticket is to update language "for "publish" wikis", which would mean doubling up all your messages. I think this is the only solution that makes sense.

You may want to create the patch that adds the new messages and merge that first to give translators time to create the new messages.

The request in the ticket is to update language "for "publish" wikis", which would mean doubling up all your messages. I think this is the only solution that makes sense.

You may want to create the patch that adds the new messages and merge that first to give translators time to create the new messages.

Yeah I wasn't familiar with the fact that there are "publish" wikis as opposed to non-"publish" wikis.

I'll work on separating the messages. <sigh> Yay handlebars.

I updated the patch, it has conditional display between save and publish now.

Change 423344 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Change language for 'save' to 'publish' for public wikis

https://gerrit.wikimedia.org/r/423344

Etonkovidova closed this task as Resolved.May 3 2018, 7:04 PM
Etonkovidova added a subscriber: Etonkovidova.

The following changes were checked
"flow-post-action-edit-post-submit-publish": "Publish changes",
"flow-post-action-edit-post-submit-anonymously-publish": "Publish changes anonymously" -- could not find a wiki in betalabs that allows to edit another user post anonymously, but it's good to have it.
"flow-edit-header-submit-publish": "Publish description",
"flow-edit-header-submit-anonymously-publish": "Publish description anonymously"


The new message looks ok in German too (it was checked for the length):